classification
Title: Clean metadata (importlib_metadata 4.0)
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jaraco Nosy List: jaraco
Priority: normal Keywords: patch

Created on 2021-04-23 20:45 by jaraco, last changed 2021-05-03 01:26 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25565 merged jaraco, 2021-04-23 21:44
Messages (2)
msg391733 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-04-23 20:45
[importlib_metadata 4.0](https://importlib-metadata.readthedocs.io/en/latest/history.html#v4-0-0) introduced these important changes to the `metadata` function:

``PackageMetadata`` as returned by ``metadata()``
  and ``Distribution.metadata()`` now provides normalized
  metadata honoring PEP 566:

  - If a long description is provided in the payload of the
    RFC 822 value, it can be retrieved as the ``Description``
    field.
  - Any multi-line values in the metadata will be returned as
    such.
  - For any multi-line values, line continuation characters
    are removed. This backward-incompatible change means
    that any projects relying on the RFC 822 line continuation
    characters being present must be tolerant to them having
    been removed.
  - Add a ``json`` property that provides the metadata
    converted to a JSON-compatible form per PEP 566.

These changes would be a nice addition to Python 3.10.
msg392732 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-05-02 21:03
New changeset 37e0c7850de902179b28f1378fbbc38a5ed3628c by Jason R. Coombs in branch 'master':
bpo-43926: Cleaner metadata with PEP 566 JSON support. (GH-25565)
https://github.com/python/cpython/commit/37e0c7850de902179b28f1378fbbc38a5ed3628c
History
Date User Action Args
2021-05-03 01:26:11jaracosetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-05-02 21:03:47jaracosetmessages: + msg392732
2021-04-23 21:44:58jaracosetkeywords: + patch
stage: patch review
pull_requests: + pull_request24284
2021-04-23 20:45:44jaracocreate